Package org.apache.sysds.resource.cost

# Class VarStats

java.lang.Object
org.apache.sysds.resource.cost.VarStats

public class VarStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`VarStats(String name, DataCharacteristics dc)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCells()`
`long`
`getCellsWithSparsity()`
`long`
`getM()`
`long`
`getN()`
`long`
`getNNZ()`
`RDDStats`
`getRddStats()`
Meant to be used at testing
`double`
`getSparsity()`
`boolean`
`isScalar()`
`boolean`
`isSparse()`
`void`
`setAllocatedMemory(long memory)`
Meant to be used at testing
`void`
`setRddStats(RDDStats rddStats)`
Meant to be used at testing

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VarStats

public VarStats(String name, DataCharacteristics dc)

## Method Details

### isScalar

public boolean isScalar()

### getM

public long getM()

### getN

public long getN()

### getNNZ

public long getNNZ()

### getSparsity

public double getSparsity()

### getCells

public long getCells()

### getCellsWithSparsity

public long getCellsWithSparsity()

### isSparse

public boolean isSparse()

### setAllocatedMemory

public void setAllocatedMemory(long memory)
Meant to be used at testing

Parameters:
  `memory` - size to allocate

### getRddStats

public RDDStats getRddStats()
Meant to be used at testing

Returns:
  corresponding RDD statistics

### setRddStats

public void setRddStats(RDDStats rddStats)
Meant to be used at testing

Parameters:
  `rddStats` - corresponding RDD statistics